## ufo-filters 0.13.0+dfsg1

=== debian/changelog ===
ufo-filters (0.13.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 25 Jan 2017 18:39:58 +0100

ufo-filters (0.12.0+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #844196)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 27 Nov 2016 09:07:17 +0100
