## ufo-filters 0.14.1%2Bdfsg1

=== debian/changelog ===
ufo-filters (0.14.1+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.25. (Closes: #882955)

 -- Adrian Bunk <bunk@debian.org>  Tue, 26 Dec 2017 23:03:53 +0200

ufo-filters (0.14.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 13 Oct 2017 18:39:58 +0200

ufo-filters (0.14.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * d/control
    - Bump Standard-Version 4.1.1 (extra -> optional)
    - Added Suggests: ufo-filters-doc (Closes: #847624)
    - Switched from python-sphinx to python3-sphinx.
    - Added python dependency which is now mandatory.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 08 Oct 2017 10:46:25 +0200
