=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ufo-filters
 Maintainer: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 10),
                cmake,
                libclfft-dev,
@@ -11,8 +11,9 @@
                libtiff-dev,
                libufo-dev (>= 0.12.0),
                ocl-icd-opencl-dev,
-               python-sphinx
-Standards-Version: 3.9.8
+               python,
+               python3-sphinx
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-pan/packages/ufo-filters.git
 Vcs-Git: https://anonscm.debian.org/git/debian-pan/packages/ufo-filters.git
 Homepage: http://ufo.kit.edu/
@@ -23,6 +24,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ufo-filters-data (= ${source:Version})
+Suggests: ufo-filters-doc
 Description: Set of plugins for ufo-core - runtime
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
