=== meson_options.txt ===
option('lamino_backproject_burst_mode',
       type: 'combo',
       choices: ['1', '2', '4', '8', '16'],
       value: '16')
