=== debian/changelog ===
ufo-filters (0.14.1+dfsg1-3) unstable; urgency=medium

  [ Alexandre Marie ]
  * Created salsa-ci.yml file to run CI tests.
  * Started python2 removal in debian/control file.
  * Closes: #938744
  
  [ Frédéric Picca ]
  * Use debhelper-compat instead of debian/compat.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 08 Dec 2019 20:45:17 +0100

ufo-filters (0.14.1+dfsg1-2) unstable; urgency=medium

  * Team upload

  [ Adrian Bunk ]
  * Add upstream fix for FTBFS with Sphinx 1.8. (Closes: #918852)

  [ Andreas Tille ]
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Lintian-override for non-issue since the not excluded file does not harm

 -- Andreas Tille <tille@debian.org>  Wed, 20 Feb 2019 17:02:52 +0100
