=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Maintainer: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libclfft-dev,
                libglib2.0-dev,
                libgsl0-dev | libgsl-dev,
                libhdf5-dev,
                libtiff-dev,
-               libufo-dev (>= 0.12.0),
+               libufo-dev,
                ocl-icd-opencl-dev,
-               python,
+               python3,
                python3-sphinx
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-pan/packages/ufo-filters.git
-Vcs-Git: https://anonscm.debian.org/git/debian-pan/packages/ufo-filters.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/science-team/ufo-filters
+Vcs-Git: https://salsa.debian.org/science-team/ufo-filters.git
 Homepage: http://ufo.kit.edu/
 
 Package: ufo-filters
@@ -46,7 +46,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
-         libjs-mathjax,
+         libjs-mathjax
 Description: Library for high-performance, GPU-based computing - documentation
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
