=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,\
     filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ufo-filters-$1.tar.gz%" \
     https://github.com/ufo-kit/ufo-filters/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
