=== meson_options.txt ===
option('oclfft', type: 'boolean', value: true,
    description: 'Build Apple OpenCL FFT')

option('contrib_filters', type: 'boolean', value: false,
    description: 'Build contributed filters')

option('lamino_backproject_burst_mode',
    type: 'combo',
    choices: ['1', '2', '4', '8', '16'],
    value: '16')
