=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     ufo-cut-sinogram-task.c
     ufo-center-of-rotation-task.c
     ufo-concatenate-result-task.c
+    ufo-cone-beam-projection-weight-task.c
     ufo-contrast-task.c
     ufo-correlate-stacks-task.c
     ufo-dfi-sinc-task.c
@@ -25,6 +26,7 @@
     ufo-dump-ring-task.c
     ufo-duplicate-task.c
     ufo-filter-task.c
+    ufo-find-large-spots-task.c
     ufo-flatten-task.c
     ufo-flatten-inplace-task.c
     ufo-flat-field-correct-task.c
@@ -36,12 +38,18 @@
     ufo-flip-task.c
     ufo-forwardproject-task.c
     ufo-get-dup-circ-task.c
+    ufo-gradient-task.c
+    ufo-general-backproject-task.c
+    ufo-horizontal-interpolate-task.c
     ufo-ifft-task.c
     ufo-interpolate-task.c
     ufo-interpolate-stream-task.c
     ufo-lamino-backproject-task.c
     ufo-loop-task.c
+    ufo-map-color-task.c
     ufo-map-slice-task.c
+    ufo-mask-task.c
+    ufo-measure-task.c
     ufo-measure-sharpness-task.c
     ufo-median-filter-task.c
     ufo-memory-in-task.c
@@ -49,15 +57,19 @@
     ufo-merge-task.c
     ufo-metaballs-task.c
     ufo-monitor-task.c
+    ufo-non-local-means-task.c
     ufo-null-task.c
     ufo-opencl-task.c
+    ufo-opencl-reduce-task.c
     ufo-ordfilt-task.c
     ufo-pad-task.c
     ufo-polar-coordinates-task.c
+    ufo-power-spectrum-task.c
     ufo-read-task.c
     ufo-reduce-task.c
     ufo-refeed-task.c
     ufo-remove-circle-task.c
+    ufo-remove-outliers-task.c
     ufo-retrieve-phase-task.c
     ufo-ring-pattern-task.c
     ufo-ringwriter-task.c
@@ -65,9 +77,11 @@
     ufo-rotate-task.c
     ufo-sleep-task.c
     ufo-slice-task.c
+    ufo-sliding-stack-task.c
     ufo-stack-task.c
     ufo-stdin-task.c
     ufo-stitch-task.c
+    ufo-tile-task.c
     ufo-transpose-task.c
     ufo-transpose-projections-task.c
     ufo-swap-quadrants-task.c
@@ -107,6 +121,23 @@
 set(lamino_backproject_aux_SRCS
     lamino-roi.c)
 
+set(cone_beam_projection_weight_aux_SRCS
+    common/ufo-scarray.c)
+
+set(general_backproject_aux_SRCS
+    common/ufo-math.c
+    common/ufo-conebeam.c
+    common/ufo-scarray.c
+    common/ufo-ctgeometry.c)
+
+set(non_local_means_aux_SRCS
+    common/ufo-math.c
+    common/ufo-common.c)
+
+set(find_large_spots_aux_SRCS
+    common/ufo-math.c
+    common/ufo-common.c)
+
 file(GLOB ufofilter_KERNELS "kernels/*.cl")
 #}}}
 #{{{ Variables
@@ -115,7 +146,8 @@
     ${UFO_LIBRARIES}
     ${OpenCL_LIBRARIES})
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -pedantic -Wall -Wextra -fPIC -Wno-unused-parameter -Wno-deprecated-declarations")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -pedantic -Wall -Wextra -fPIC -Wno-unused-parameter -Wno-deprecated-declarations")
+set(CL_TARGET_OPENCL_VERSION "120")
 
 add_definitions(-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES)
 #}}}
@@ -124,13 +156,16 @@
 find_package(HDF5 1.8)
 find_package(JPEG)
 find_package(OpenMP)
+find_package(OpenCV)
 
 pkg_check_modules(UCA libuca>=1.2)
 pkg_check_modules(LIBTIFF4 libtiff-4>=4.0.0)
-pkg_check_modules(GSL gsl)
 pkg_check_modules(CLFFT clFFT)
 pkg_check_modules(CLBLAST clblast)
 pkg_check_modules(PANGOCAIRO pangocairo)
+pkg_check_modules(OPENCV opencv)
+pkg_check_modules(ZMQ libzmq)
+pkg_check_modules(JSON_GLIB json-glib-1.0)
 
 
 if (OPENMP_FOUND)
@@ -193,15 +228,9 @@
 
 if (UCA_INCLUDE_DIRS AND UCA_LIBRARIES)
     list(APPEND ufofilter_SRCS ufo-camera-task.c)
-    list(APPEND uca_aux_LIBS ${UCA_LIBRARIES})
+    list(APPEND camera_aux_LIBS ${UCA_LIBRARIES})
     include_directories(${UCA_INCLUDE_DIRS})
     link_directories(${UCA_LIBRARY_DIRS})
-endif ()
-
-if (GSL_FOUND)
-    include_directories(${GSL_INCLUDE_DIRS})
-    list(APPEND measure_aux_LIBS ${GSL_LIBRARIES})
-    list(APPEND ufofilter_SRCS ufo-measure-task.c)
 endif ()
 
 if (TARGET oclfft)
@@ -241,6 +270,26 @@
     list(APPEND stamp_aux_LIBS ${PANGOCAIRO_LIBRARIES})
 endif ()
 
+if (OpenCV_FOUND)
+    include_directories(${OpenCV_INCLUDE_DIRS})
+    list(APPEND ufofilter_SRCS ufo-cv-show-task.cpp)
+    list(APPEND cv_show_aux_LIBS ${OpenCV_LIBRARIES})
+    list(APPEND cv_show_aux_SRCS writers/ufo-writer.c)
+elseif (OPENCV_FOUND)
+    include_directories(${OPENCV_INCLUDE_DIRS})
+    list(APPEND ufofilter_SRCS ufo-cv-show-task.cpp)
+    list(APPEND cv_show_aux_LIBS ${OPENCV_LIBRARIES})
+    list(APPEND cv_show_aux_SRCS writers/ufo-writer.c)
+endif ()
+
+if (ZMQ_FOUND AND JSON_GLIB_FOUND)
+    include_directories(${ZMQ_INCLUDE_DIRS} ${JSON_GLIB_INCLUDE_DIRS})
+    link_directories(${ZMQ_LIBRARY_DIRS} ${JSON_GLIB_LIBRARY_DIRS})
+    list(APPEND ufofilter_SRCS ufo-zmq-pub-task.c ufo-zmq-sub-task.c)
+    list(APPEND zmq_sub_aux_LIBS ${ZMQ_LIBRARIES} ${JSON_GLIB_LIBRARIES})
+    list(APPEND zmq_pub_aux_LIBS ${ZMQ_LIBRARIES} ${JSON_GLIB_LIBRARIES})
+    list(APPEND zmq_sub_aux_LIBS ${ZMQ_LIBRARIES} ${JSON_GLIB_LIBRARIES})
+endif ()
 #}}}
 #{{{ Plugin targets
 include_directories(${CMAKE_CURRENT_BINARY_DIR}
@@ -266,8 +315,7 @@
     set(_aux_src "${_aux}_aux_SRCS")
     set(_aux_libs "${_aux}_aux_LIBS")
 
-    string(REPLACE "-" "" _targetname ${task})
-    set(target "ufofilter${_targetname}")
+    set(target "ufofilter${task}")
 
     # build single shared library per filter
     if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
