=== debian/changelog ===
ufo-filters (0.16.0.159.g483ce16-1build5) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 11:09:33 +0000

ufo-filters (0.16.0.159.g483ce16-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:05 +1100

ufo-filters (0.16.0.159.g483ce16-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:44:32 +0000

ufo-filters (0.16.0.159.g483ce16-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:12:24 +0000

ufo-filters (0.16.0.159.g483ce16-1build1) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:34:52 -0500

ufo-filters (0.16.0.159.g483ce16-1) unstable; urgency=medium

  * uploaded to unstable

 -- Serge Cohen <serge1cohen@free.fr>  Wed, 14 Oct 2020 11:50:27 +0200

ufo-filters (0.16.0.159.g483ce16-1~exp2) experimental; urgency=medium

  * d/control: build depends libufo-dev >= 0.16

 -- Serge Cohen <serge1cohen@free.fr>  Fri, 02 Oct 2020 10:40:32 +0200

ufo-filters (0.16.0.159.g483ce16-1~exp1) experimental; urgency=medium

  [ Serge Cohen ]
  * Watching the correct upstream
  * New upstream version 0.16.0.159.g483ce16
  * d/control: Updated maintainer and uploader as ufo-core
  * d/salsa-ci.yml: -> recipes/debian.yml@salsa-ci-team/pipeline
  * Updated patch to satisfy newer orig
  * Corrected patch to new *.so naming conventions

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 01 Oct 2020 15:54:13 +0200
