=== debian/control ===
--- 
+++ 
@@ -1,5 +1,8 @@
 Source: ufo-filters
-Maintainer: Picca Frédéric-Emmanuel <picca@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
+ Serge Cohen <serge1cohen@free.fr>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -9,7 +12,7 @@
                libgsl0-dev | libgsl-dev,
                libhdf5-dev,
                libtiff-dev,
-               libufo-dev,
+               libufo-dev (>= 0.16),
                ocl-icd-opencl-dev,
                python3,
                python3-sphinx
