=== debian/watch ===
version=4
opts="repacksuffix=+dfsg1,dversionmangle=s/@DEB_EXT@//,\
mode=git,pretty=describe,,uversionmangle=s/^v//,pgpmode=none" \
     https://git.chocolatnoir.net/tomography/ufo-filters.git \
     HEAD debian uupdate
