## ufo-filters 0.16.0.267.gd856f91+dfsg1

=== debian/changelog ===
ufo-filters (0.16.0.267.gd856f91+dfsg1-1) unstable; urgency=medium

  [ Neil Williams ]
  * Update control to add Debian PaN maintainers

  [ Serge Cohen ]
  * New upstream version 0.16.0.172.g6f43afc+dfsg1
  * New upstream version 0.16.0.267.gd856f91+dfsg1
  * Incorporating many updates and addition from the github repository
  * Few bug corrections
  * Adding build-dep python3-sphinxcontrib.bibtex
  * Adding build-dep python3-sphinx-rtd-theme (and newer version of libufo1)

  [ Picca Frédéric-Emmanuel ]
  * lintian-brush  - compat -> 13
  * wrap-and-sort -ast
  * use dh-sequence-sphinxdoc
  * d/rules: dh_missing --list-missing

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 23 Mar 2025 08:27:15 +0100
