=== debian/control ===
--- 
+++ 
@@ -1,22 +1,27 @@
 Source: ufo-filters
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
- Serge Cohen <serge1cohen@free.fr>
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Uploaders:
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
+ Serge Cohen <serge1cohen@free.fr>,
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               cmake,
-               libclfft-dev,
-               libglib2.0-dev,
-               libgsl0-dev | libgsl-dev,
-               libhdf5-dev,
-               libtiff-dev,
-               libufo-dev (>= 0.16),
-               ocl-icd-opencl-dev,
-               python3,
-               python3-sphinx
-Standards-Version: 4.4.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-sphinxdoc <!nodoc>,
+ cmake,
+ libclfft-dev,
+ libglib2.0-dev,
+ libgsl0-dev | libgsl-dev,
+ libhdf5-dev,
+ libtiff-dev,
+ libufo-dev (>= 0.16),
+ ocl-icd-opencl-dev,
+ python3,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+ python3-sphinxcontrib.bibtex,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/ufo-filters
 Vcs-Git: https://salsa.debian.org/science-team/ufo-filters.git
 Homepage: http://ufo.kit.edu/
@@ -24,10 +29,12 @@
 Package: ufo-filters
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         ufo-filters-data (= ${source:Version})
-Suggests: ufo-filters-doc
+Depends:
+ ufo-filters-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ ufo-filters-doc,
 Description: Set of plugins for ufo-core - runtime
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
@@ -47,9 +54,10 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax
+Depends:
+ libjs-mathjax,
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: Library for high-performance, GPU-based computing - documentation
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
@@ -62,7 +70,8 @@
 Package: ufo-filters-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Library for high-performance, GPU-based computing - data
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
