## ufo-filters 0.17.0.75.gcb0bd5a%2Bdfsg1

=== debian/changelog ===
ufo-filters (0.17.0.75.gcb0bd5a+dfsg1-1) unstable; urgency=medium

  * Team Upload

  [Serge Cohen]
  * New upstream version 0.17.0.75.gcb0bd5a+dfsg1
  * Added a small reconstruction as autopkgtest
  * Added a OpenCL-less autopkg test
  * Updated the list of tasks/plugins present in the package
  * Correcting dependency of the tests to libufo-bin

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 01 May 2025 10:59:27 +0200
